Page MenuHomePhabricator

JsonConfig: Call to undefined method JsonConfig\JCTitle::getPrefixedText()
Closed, ResolvedPublic

Description

Spotted in production with 1.29.0-wmf.7:

Fatal error: Call to undefined method JsonConfig\JCTitle::getPrefixedText() in /srv/mediawiki/php-1.29.0-wmf.7/extensions/JsonConfig/includes/JCDataApi.php on line 28

Event Timeline

demon created this task.Jan 5 2017, 10:06 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 5 2017, 10:06 PM
demon triaged this task as High priority.Jan 5 2017, 10:06 PM
demon updated the task description. (Show Details)

Change 331815 had a related patch set uploaded (by MaxSem):
Fix fatal in prod

https://gerrit.wikimedia.org/r/331815

debt moved this task from Backlog to Needs review on the Maps-Sprint board.

Change 331815 merged by jenkins-bot:
Fix "Call to undefined method JsonConfig\JCTitle::getPrefixedText()"

https://gerrit.wikimedia.org/r/331815

Deskana moved this task from Needs review to Done on the Maps-Sprint board.Jan 20 2017, 6:41 PM
Legoktm closed this task as Resolved.Jan 25 2017, 3:10 AM
Legoktm claimed this task.
Legoktm reassigned this task from Legoktm to MaxSem.
Legoktm added a subscriber: Legoktm.
mmodell changed the subtype of this task from "Task" to "Production Error".Wed, Aug 28, 11:11 PM